Package oracle.jdbc

## Class OracleTypes

- java.lang.Object
- - oracle.jdbc.OracleTypes

    public abstract class OracleTypes
    extends java.lang.Object

Oracle types.

This interface defines constants that are used to identify SQL types. The actual type constant values are equivalent to those in XOPEN.

### Field Summary

Fields
`static int` `ARRAY`
`static int` `BFILE`
`static int` `BIGINT`
`static int` `BINARY`
`static int` `BINARY_DOUBLE`
`static int` `BINARY_FLOAT`
`static int` `BIT`
`static int` `BLOB`
`static int` `BOOLEAN` The constant in the Java programming language, sometimes referred to as a type code, that identifies the generic SQL type `BOOLEAN`.
`static int` `CHAR`
`static int` `CLOB`
`static int` `CURSOR`
`static int` `DATALINK` The constant in the Java programming language, sometimes referred to as a type code, that identifies the generic SQL type `DATALINK`.
`static int` `DATE`
`static int` `DECIMAL`
`static int` `DOUBLE`
`static int` `FIXED_CHAR` Use this type when binding to a CHAR column in the where clause of a Select statement.
`static int` `FLOAT`
`static int` `INTEGER`
`static int` `INTERVALDS`
`static int` `INTERVALYM`
`static int` `JAVA_OBJECT`
`static int` `JAVA_STRUCT`
`static int` `JSON`
`static int` `LONGNVARCHAR`
`static int` `LONGVARBINARY`
`static int` `LONGVARCHAR`
`static int` `NCHAR`
`static int` `NCLOB`
`static int` `NULL`
`static int` `NUMBER` NUMBER shares same value as NUMERIC as it is synonym defined for convenience when using the oracle.sql.NUMBER type.
`static int` `NUMERIC`
`static int` `NVARCHAR`
`static int` `OPAQUE`
`static int` `OTHER` OTHER indicates that the SQL type is database specific and gets mapped to a Java object which can be accessed via getObject and setObject.
`static int` `PLSQL_BOOLEAN` PLSQL_BOOLEAN binds BOOLEAN type for input/output parameters when executing a PLSQL function/procedure.
`static int` `PLSQL_INDEX_TABLE`
`static int` `RAW` RAW shares same value as BINARY as it is synonym defined for convenience when using the oracle.sql.RAW type.
`static int` `REAL`
`static int` `REF`
`static int` `REF_CURSOR`
`static int` `ROWID`
`static int` `SMALLINT`
`static int` `SQLXML`
`static int` `STRUCT`
`static int` `TIME`
`static int` `TIMESTAMP`
`static int` `TIMESTAMPLTZ`
`static int` `TIMESTAMPNS` Deprecated. since 9.2.0.
`static int` `TIMESTAMPTZ`
`static int` `TINYINT`
`static int` `UNSPECIFIED`
`static int` `VARBINARY`
`static int` `VARCHAR`
`static int` `VECTOR` A VECTOR that contains 32-bit floating point numbers, 64-bit floating point numbers, and signed 8-bit integer numbers.
`static int` `VECTOR_FLOAT32` A VECTOR that contains 32-bit floating point numbers.
`static int` `VECTOR_FLOAT64` A VECTOR that contains 64-bit floating point numbers.
`static int` `VECTOR_INT8` A VECTOR that contains signed 8-bit integer numbers.

### Constructor Summary

Constructors
`OracleTypes()`

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### BIT

    public static final int BIT

See Also:
  Constant Field Values

#### TINYINT

    public static final int TINYINT

See Also:
  Constant Field Values

#### SMALLINT

    public static final int SMALLINT

See Also:
  Constant Field Values

#### INTEGER

    public static final int INTEGER

See Also:
  Constant Field Values

#### BIGINT

    public static final int BIGINT

See Also:
  Constant Field Values

#### FLOAT

    public static final int FLOAT

See Also:
  Constant Field Values

#### REAL

    public static final int REAL

See Also:
  Constant Field Values

#### DOUBLE

    public static final int DOUBLE

See Also:
  Constant Field Values

#### NUMERIC

    public static final int NUMERIC

See Also:
  Constant Field Values

#### DECIMAL

    public static final int DECIMAL

See Also:
  Constant Field Values

#### CHAR

    public static final int CHAR

See Also:
  Constant Field Values

#### VARCHAR

    public static final int VARCHAR

See Also:
  Constant Field Values

#### LONGVARCHAR

    public static final int LONGVARCHAR

See Also:
  Constant Field Values

#### DATE

    public static final int DATE

See Also:
  Constant Field Values

#### TIME

    public static final int TIME

See Also:
  Constant Field Values

#### TIMESTAMP

    public static final int TIMESTAMP

See Also:
  Constant Field Values

#### PLSQL_BOOLEAN

    public static final int PLSQL_BOOLEAN

PLSQL_BOOLEAN binds BOOLEAN type for input/output parameters when executing a PLSQL function/procedure. Only available for thin driver.

Since:
  12.2
See Also:
  Constant Field Values

#### TIMESTAMPNS

    public static final int TIMESTAMPNS

Deprecated.
since 9.2.0. Use OracleTypes.TIMESTAMP instead.

See Also:
  Constant Field Values

#### TIMESTAMPTZ

    public static final int TIMESTAMPTZ

See Also:
  Constant Field Values

#### TIMESTAMPLTZ

    public static final int TIMESTAMPLTZ

See Also:
  Constant Field Values

#### INTERVALYM

    public static final int INTERVALYM

See Also:
  Constant Field Values

#### INTERVALDS

    public static final int INTERVALDS

See Also:
  Constant Field Values

#### VECTOR

    public static final int VECTOR

A VECTOR that contains 32-bit floating point numbers, 64-bit floating point numbers, and signed 8-bit integer numbers. Supported conversions are specified in the JavaDoc of `OracleType.VECTOR`.

See Also:
  Constant Field Values

#### VECTOR_INT8

    public static final int VECTOR_INT8

A VECTOR that contains signed 8-bit integer numbers. Supported conversions are specified in the JavaDoc of `OracleType.VECTOR_INT8`.

See Also:
  Constant Field Values

#### VECTOR_FLOAT32

    public static final int VECTOR_FLOAT32

A VECTOR that contains 32-bit floating point numbers. Supported conversions are specified in the JavaDoc of `OracleType.VECTOR_FLOAT32`.

See Also:
  Constant Field Values

#### VECTOR_FLOAT64

    public static final int VECTOR_FLOAT64

A VECTOR that contains 64-bit floating point numbers. Supported conversions are specified in the JavaDoc of `OracleType.VECTOR_FLOAT64`.

See Also:
  Constant Field Values

#### BINARY

    public static final int BINARY

See Also:
  Constant Field Values

#### VARBINARY

    public static final int VARBINARY

See Also:
  Constant Field Values

#### LONGVARBINARY

    public static final int LONGVARBINARY

See Also:
  Constant Field Values

#### ROWID

    public static final int ROWID

See Also:
  Constant Field Values

#### CURSOR

    public static final int CURSOR

See Also:
  Constant Field Values

#### BLOB

    public static final int BLOB

See Also:
  Constant Field Values

#### CLOB

    public static final int CLOB

See Also:
  Constant Field Values

#### BFILE

    public static final int BFILE

See Also:
  Constant Field Values

#### STRUCT

    public static final int STRUCT

See Also:
  Constant Field Values

#### ARRAY

    public static final int ARRAY

See Also:
  Constant Field Values

#### REF

    public static final int REF

See Also:
  Constant Field Values

#### NCHAR

    public static final int NCHAR

See Also:
  Constant Field Values

#### NCLOB

    public static final int NCLOB

See Also:
  Constant Field Values

#### NVARCHAR

    public static final int NVARCHAR

See Also:
  Constant Field Values

#### LONGNVARCHAR

    public static final int LONGNVARCHAR

See Also:
  Constant Field Values

#### SQLXML

    public static final int SQLXML

See Also:
  Constant Field Values

#### REF_CURSOR

    public static final int REF_CURSOR

See Also:
  Constant Field Values

#### JSON

    public static final int JSON

See Also:
  Constant Field Values

#### OPAQUE

    public static final int OPAQUE

See Also:
  Constant Field Values

#### JAVA_STRUCT

    public static final int JAVA_STRUCT

See Also:
  Constant Field Values

#### JAVA_OBJECT

    public static final int JAVA_OBJECT

See Also:
  Constant Field Values

#### PLSQL_INDEX_TABLE

    public static final int PLSQL_INDEX_TABLE

See Also:
  Constant Field Values

#### UNSPECIFIED

    public static final int UNSPECIFIED

See Also:
  Constant Field Values

#### BINARY_FLOAT

    public static final int BINARY_FLOAT

See Also:
  Constant Field Values

#### BINARY_DOUBLE

    public static final int BINARY_DOUBLE

See Also:
  Constant Field Values

#### NULL

    public static final int NULL

See Also:
  Constant Field Values

#### NUMBER

    public static final int NUMBER

NUMBER shares same value as NUMERIC as it is synonym defined for convenience when using the oracle.sql.NUMBER type. Internally, code need only worry about NUMERIC.

See Also:
  Constant Field Values

#### RAW

    public static final int RAW

RAW shares same value as BINARY as it is synonym defined for convenience when using the oracle.sql.RAW type. Internally, code need only worry about BINARY.

See Also:
  Constant Field Values

#### OTHER

    public static final int OTHER

OTHER indicates that the SQL type is database specific and gets mapped to a Java object which can be accessed via getObject and setObject.

See Also:
  Constant Field Values

#### FIXED_CHAR

    public static final int FIXED_CHAR

Use this type when binding to a CHAR column in the where clause of a Select statement. A non padded comparison will be done unlike in CHAR and VARCHAR case. Not particularly needed for an insert as the database will pad it. This type is used for bind only. It cannot be used for define and registerOutParameter.

See Also:
  Constant Field Values

#### DATALINK

    public static final int DATALINK

The constant in the Java programming language, sometimes referred to as a type code, that identifies the generic SQL type `DATALINK`.

Since:
  9.0.2
See Also:
  Constant Field Values

#### BOOLEAN

    public static final int BOOLEAN

The constant in the Java programming language, sometimes referred to as a type code, that identifies the generic SQL type `BOOLEAN`.

Since:
  9.0.2
See Also:
  Constant Field Values

### Constructor Detail

#### OracleTypes

    public OracleTypes()